#include<bits/stdc++.h>
using namespace std;
int main(){
cin.tie(NULL);
ios_base::sync_with_stdio(false);

int n[2], k;
char c[2];
cin>>n[0]>>c[0]>>n[1]>>c[1]>>k;

if(c[0] == 'A'){
if(k >= n[0]){
cout<<n[0];
}
else{
    cout<<k;
}
}
else if(c[1] == 'A'){
    if(k <= n[0]){
        cout<<'0';
    }
    else{
        cout<<k - n[0];
    }
}

}
